<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="bast_bpkb1" pageWidth="595" pageHeight="396" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="dc2219fc-f4eb-421b-a3ae-61f2cbdeccbe">
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="mpmsqlserver"/>
	<property name="com.jaspersoft.studio.unit." value="cm"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="cm"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="cm"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="cm"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="cm"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="cm"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="cm"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="cm"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="cm"/>
	<property name="net.sf.jasperreports.awt.ignore.missing.font" value="true"/>
	<parameter name="bastnumber" class="java.lang.String"/>
	<parameter name="nama" class="java.lang.String"/>
	<queryString language="SQL">
		<![CDATA[SELECT DISTINCT CONCAT(pa.address1,' ',pa.address2) as alamat_deler ,requirement.idreq,
requirement.requirementnumber,
dealer.name as Nama_Dealer,
concat(DAY(getdate()),' ', MONTH(getdate()),' ', YEAR(getdate()))  as Tanggal_Cetak,
ud.bastnumber as AutoGenerateSistem,
'' as NamaPengambil,
'' as NIKPengambil,
case when sale_type.idsaletype = 10 then 'Cash' else 'Kredit' end as TipePembelian,
concat(personshipto.fname, ' ', personshipto.lname) as NamaBPKP_STNK,
veh.idframe as No_Rangka,
veh.idmachine as No_Mesin,
product.name as Deskripsi_tipe,
vehicle_document_requirement.policenumber as NoPolisi,
ud.bpkbnumber as NomorBPKB,
concat(personcustomer.fname, ' ', personcustomer.lname)  as Nama_Pemohon,
addresscustomer.address1 as Alamat_Pemohon,
' ' as NamaUser,
concat(pic.fname,' ',pic.lname) as NamaAFC
from unit_deliverable ud 
left join vehicle_sales_order vso on ud.idreq = vso.idunitreq

left join sales_unit_requirement sur on (ud.idreq = sur.idreq)
left join order_item on (vso.idorder = order_item.idorder)


left join requirement on (ud.idreq = requirement.idreq)
left join customer on (sur.idcustomer = customer.idcustomer)
left join bill_to on (sur.idbillto = bill_to.idbillto)
left join internal on (sur.idinternal = internal.idinternal)
left join party_contact_mechanism pcm on internal.idparty = pcm.idparty
left join postal_address pa on pcm.idcontact = pa.idcontact
left join sale_type on (sur.idsaletype = sale_type.idsaletype)
left join ship_to on (order_item.idshipto = ship_to.idshipto)

left join product on (order_item.idproduct = product.idproduct)
left join party partycust on (customer.idparty = partycust.idparty)
left join party_role printernal on (internal.idparty = printernal.idparty)
left join party partyshipto on (ship_to.idparty = partyshipto.idparty)
left join vehicle_document_requirement on (ud.idreq = vehicle_document_requirement.idreq)
left join vehicle veh on vehicle_document_requirement.idvehicle = veh.idvehicle

left join person personcustomer on (partycust.idparty = personcustomer.idparty)
left join party partyinternal on (printernal.idparty = partyinternal.idparty)
left join person personshipto on (partyshipto.idparty = personshipto.idparty)

left join organization dealer on (internal.idparty = dealer.idparty)
left join positions po on dealer.idparty = po.idorganization and po.idpostyp in (16)
left join position_fullfillment pf on po.idposition = pf.idposition
left join person pic on pf.idperson = pic.idparty
left join party_contact_mechanism  contactcustomer on (personcustomer.idparty = contactcustomer.idparty)

left join postal_address addresscustomer on (contactcustomer.idcontact = addresscustomer.idcontact)
where ud.bastnumber = $P{bastnumber}]]>
	</queryString>
	<field name="alamat_deler" class="java.lang.Object">
		<property name="com.jaspersoft.studio.field.label" value="alamat_deler"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="postal_address"/>
	</field>
	<field name="idreq" class="java.lang.Object">
		<property name="com.jaspersoft.studio.field.label" value="idreq"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="requirement"/>
	</field>
	<field name="requirementnumber" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="requirementnumber"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="requirement"/>
	</field>
	<field name="Nama_Dealer" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Nama_Dealer"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="organization"/>
	</field>
	<field name="Tanggal_Cetak" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Tanggal_Cetak"/>
	</field>
	<field name="AutoGenerateSistem" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="AutoGenerateSistem"/>
	</field>
	<field name="NamaPengambil" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="NamaPengambil"/>
	</field>
	<field name="NIKPengambil" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="NIKPengambil"/>
	</field>
	<field name="TipePembelian" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="TipePembelian"/>
	</field>
	<field name="NamaBPKP_STNK" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="NamaBPKP_STNK"/>
	</field>
	<field name="No_Rangka" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="No_Rangka"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="sales_unit_requirement"/>
	</field>
	<field name="No_Mesin" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="No_Mesin"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="sales_unit_requirement"/>
	</field>
	<field name="Deskripsi_tipe" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Deskripsi_tipe"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="product"/>
	</field>
	<field name="NoPolisi" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="NoPolisi"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="vehicle_document_requirement"/>
	</field>
	<field name="NomorBPKB" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="NomorBPKB"/>
	</field>
	<field name="Nama_Pemohon" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Nama_Pemohon"/>
	</field>
	<field name="Alamat_Pemohon" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Alamat_Pemohon"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="postal_address"/>
	</field>
	<field name="NamaUser" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="NamaUser"/>
	</field>
	<field name="NamaAFC" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="NamaAFC"/>
	</field>
	<variable name="NoUrut" class="java.lang.Integer" resetType="None" calculation="Count">
		<variableExpression><![CDATA[$V{NoUrut} + 1]]></variableExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<pageHeader>
		<band height="93" splitType="Stretch">
			<textField>
				<reportElement x="2" y="50" width="100" height="16" uuid="cf5c9497-0262-4aa4-aee3-c163ebf9985e"/>
				<textFieldExpression><![CDATA[$F{Nama_Dealer}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="450" y="50" width="103" height="16" uuid="bcb1e6e7-662f-4633-b715-39fa83a84934"/>
				<textFieldExpression><![CDATA[$F{Tanggal_Cetak}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="194" y="50" width="171" height="24" uuid="e3930826-b0af-4213-9959-0740914ddb04"/>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="Tahoma" size="12"/>
				</textElement>
				<text><![CDATA[Berita Acara Serah Terima]]></text>
			</staticText>
			<textField>
				<reportElement x="178" y="74" width="199" height="17" uuid="da2bacae-aa4b-424a-93e4-3d899b345811"/>
				<textElement>
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<textFieldExpression><![CDATA["Nomor	: " + $F{AutoGenerateSistem}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="0" width="160" height="40" uuid="6d8f5fb2-682f-4e3d-be28-b7c026b17e82"/>
				<textFieldExpression><![CDATA[$F{alamat_deler}]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="132" splitType="Stretch">
			<staticText>
				<reportElement x="10" y="0" width="270" height="21" uuid="39f54906-5833-46d7-bfbc-79117cd157b5"/>
				<textElement>
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<text><![CDATA[Dengan ini saya yang bertanda tangan dibawah ini :]]></text>
			</staticText>
			<textField>
				<reportElement x="64" y="55" width="256" height="17" uuid="d6e43987-0e24-4f58-88bc-95f14a9949c4"/>
				<textElement>
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<textFieldExpression><![CDATA["Tipe Pembelian :  " + $F{TipePembelian}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="10" y="77" width="410" height="17" uuid="1915a431-fec4-4fa1-b902-f7a52121c286"/>
				<textElement>
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<textFieldExpression><![CDATA["Telah menerima Dokumen BPKB dari " + $F{Nama_Dealer} + " dengan rincian : "]]></textFieldExpression>
			</textField>
			<rectangle>
				<reportElement x="2" y="100" width="551" height="30" uuid="5839aec4-62f6-459f-aec6-143e5252a6ad"/>
			</rectangle>
			<staticText>
				<reportElement x="2" y="99" width="28" height="31" uuid="bd27d397-8e29-4198-818d-2b06840b9f5f"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<text><![CDATA[No]]></text>
			</staticText>
			<staticText>
				<reportElement x="30" y="99" width="60" height="31" uuid="fa347464-e7cf-4338-97e1-1af5b3c863ac"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<text><![CDATA[Nama BPKB]]></text>
			</staticText>
			<staticText>
				<reportElement x="90" y="100" width="70" height="30" uuid="9ad15923-7ab7-4294-aa7e-d66718210c24"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<text><![CDATA[Nomor 
Rangka]]></text>
			</staticText>
			<staticText>
				<reportElement x="160" y="100" width="70" height="30" uuid="10810506-1fb7-4655-9585-fe35f11cc926"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<text><![CDATA[Nomor 
Mesin]]></text>
			</staticText>
			<staticText>
				<reportElement x="230" y="100" width="70" height="30" uuid="1fcbc599-24a9-4139-ad93-a2a871b16940"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<text><![CDATA[Deskripsi 
Type]]></text>
			</staticText>
			<staticText>
				<reportElement x="300" y="100" width="57" height="30" uuid="ee696883-55b2-446f-8e7f-7fa5561875fc"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<text><![CDATA[Nomor 
Polisi]]></text>
			</staticText>
			<staticText>
				<reportElement x="357" y="100" width="57" height="30" uuid="3251edf4-b1ed-4dac-bdff-1e7951ba7a2c"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<text><![CDATA[Nomor 
BPKB]]></text>
			</staticText>
			<staticText>
				<reportElement x="414" y="100" width="57" height="30" uuid="a05c0e3e-8355-47ee-a0e7-6801d0d33c52"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<text><![CDATA[Nama
Customer]]></text>
			</staticText>
			<staticText>
				<reportElement x="471" y="100" width="82" height="30" uuid="150ee6f3-686e-47d8-b1f1-00f13e9457db"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<text><![CDATA[Alamat
Customer]]></text>
			</staticText>
			<textField>
				<reportElement x="64" y="20" width="186" height="19" uuid="1a9b859e-2e6d-41c8-a4fb-328a81cb731a"/>
				<textElement>
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<textFieldExpression><![CDATA["Nama              :  "   +  $P{nama}]]></textFieldExpression>
			</textField>
		</band>
	</columnHeader>
	<detail>
		<band height="41" splitType="Stretch">
			<rectangle>
				<reportElement x="2" y="-1" width="551" height="41" uuid="0bee0ea8-eee6-4d96-9bd3-a450f607a234"/>
			</rectangle>
			<textField>
				<reportElement x="30" y="-1" width="60" height="41" uuid="d7dd5da8-fba9-4cad-bb6e-bac527703c38"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{NamaBPKP_STNK}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="90" y="0" width="70" height="41" uuid="822ee395-9e62-432d-96c1-d10bbb417ddf"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{No_Rangka}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="161" y="0" width="68" height="41" uuid="4f33154c-258f-4fbe-a784-d7936a319bff"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{No_Mesin}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="230" y="0" width="70" height="41" uuid="47976f1c-48c2-45dd-9ea3-6de8dab48687"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{Deskripsi_tipe}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="300" y="0" width="57" height="40" uuid="4d4b8ce0-f093-4883-a0d6-d30cceddcdf0"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{NoPolisi}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="357" y="0" width="57" height="40" uuid="0ea13acc-645d-44fb-8799-4964b576d43d"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{NomorBPKB}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="414" y="0" width="57" height="40" uuid="65aa497a-98ea-4981-93f5-5fbcbc2dacef"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{Nama_Pemohon}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement stretchType="ElementGroupHeight" x="471" y="0" width="82" height="40" uuid="b18bdef5-e98d-45bf-a8ca-4156ece9aa0e"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{Alamat_Pemohon}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="30" y="-31" width="1" height="70" uuid="ff1d86ca-02a1-4356-b1af-d9573c2c7a08"/>
			</line>
			<line>
				<reportElement x="90" y="-32" width="1" height="71" uuid="566cbf74-7d94-42e2-9114-455139f27f49"/>
			</line>
			<line>
				<reportElement x="160" y="-32" width="1" height="71" uuid="8ce1a4d0-0e0c-4176-8a0f-d20f03b9e443"/>
			</line>
			<line>
				<reportElement x="230" y="-32" width="1" height="71" uuid="537e07bb-c44a-4877-86cc-89de90b386e3"/>
			</line>
			<line>
				<reportElement x="300" y="-32" width="1" height="71" uuid="f28e6ff0-7eac-4635-b765-354a32db6ad5"/>
			</line>
			<line>
				<reportElement x="357" y="-32" width="1" height="71" uuid="9844aa47-a0d2-4f79-b5b5-ac987cda24ae"/>
			</line>
			<line>
				<reportElement x="413" y="-31" width="1" height="71" uuid="e5d7a40c-6101-413f-b528-4746346a4d2b"/>
			</line>
			<line>
				<reportElement x="471" y="-31" width="1" height="71" uuid="d2fdc534-149e-4d72-bd3a-aea46bb9404a"/>
			</line>
			<textField>
				<reportElement x="2" y="0" width="28" height="40" uuid="3c45b6b4-0045-40cd-8531-b61014a60cf0"/>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$V{NoUrut}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="71" splitType="Stretch">
			<staticText>
				<reportElement x="10" y="-1" width="116" height="16" uuid="6a474f0e-9be4-4848-a5b5-f5d8d16d56ab"/>
				<textElement textAlignment="Center">
					<font fontName="Tahoma" size="12"/>
				</textElement>
				<text><![CDATA[Yang Menyerahkan]]></text>
			</staticText>
			<textField>
				<reportElement x="10" y="57" width="116" height="14" uuid="96edc4b4-ba8a-4b28-90e9-8482295383fe"/>
				<textElement textAlignment="Center">
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{NamaUser}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="219" y="-1" width="116" height="22" uuid="79863578-e187-4346-bea4-b73306febc3f"/>
				<textElement textAlignment="Center">
					<font fontName="Tahoma" size="12"/>
				</textElement>
				<text><![CDATA[Yang Menerima]]></text>
			</staticText>
			<textField>
				<reportElement x="219" y="57" width="116" height="14" uuid="29c990f7-6aef-4ac7-abb1-e9d8729fff69"/>
				<textElement textAlignment="Center">
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{NamaPengambil}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="430" y="-1" width="116" height="22" uuid="700fa129-fe3b-49fd-84e5-05c993e6d07a"/>
				<textElement textAlignment="Center">
					<font fontName="Tahoma" size="12"/>
				</textElement>
				<text><![CDATA[Yang Mengetahui]]></text>
			</staticText>
			<textField>
				<reportElement x="430" y="57" width="116" height="14" uuid="a2612df8-5fd9-4d5c-84d9-4f33290b60b8"/>
				<textElement textAlignment="Center">
					<font fontName="Tahoma" size="11"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{NamaAFC}]]></textFieldExpression>
			</textField>
		</band>
	</columnFooter>
</jasperReport>
